import { BasePageAN, } from '../constants'
import { BasePageStateM, } from '../../models/stateModels'

export class Type
{
    setState: (state: BasePageStateM) => void
}

export default class BasePageAC
{
    static setState(state: BasePageStateM)
    {
        return {
            type: BasePageAN.SET_STATE,
            payload: state,
        }
    }
}
